apevec pushed to openstack-keystone (master). "Kilo RC2 (..more)"

notifications at fedoraproject.org notifications at fedoraproject.org
Fri Apr 24 00:57:27 UTC 2015


>From f8b47279930c4b45dffd05eb95c4fac0ab004243 Mon Sep 17 00:00:00 2001
From: Alan Pevec <alan.pevec at redhat.com>
Date: Fri, 24 Apr 2015 02:45:59 +0200
Subject: Kilo RC2

Also spec cleanup, drop EL6: py26 support was removed in Kilo upstream.

Change-Id: Ia78de6356672e729453ad5d762c6c84cfba316cb

diff --git a/.gitignore b/.gitignore
index 344a68a..04a2f18 100644
--- a/.gitignore
+++ b/.gitignore
@@ -1 +1,2 @@
 /keystone-2015.1.0b3.tar.gz
+/keystone-2015.1.0rc2.tar.gz
diff --git a/daemon_notify.sh b/daemon_notify.sh
deleted file mode 100755
index 2e7339d..0000000
--- a/daemon_notify.sh
+++ /dev/null
@@ -1,59 +0,0 @@
-#!/bin/bash
-
-#
-# start process in the background and wait for its readiness notification
-# via systemd style NOTIFY_SOCKET
-#
-daemon_notify() {
-    exec=$1
-    pidfile=$2
-    startuplog=$3
-    timeout=$4
-
-    # Requires:
-    # uuidgen (util-linux)
-    # sleep (coreutils)
-    export NOTIFY_SOCKET='@/org/rdoproject/systemd/notify/'$(uuidgen)
-    python -m keystone.openstack.common.systemd $timeout &
-    pidnotify=$!
-    $exec &>$startuplog &
-    pid=$!
-    while [ -d /proc/$pid -a -d /proc/$pidnotify ]
-    do
-        sleep 1
-    done
-    # pick up return codes from either process
-    if [ ! -d /proc/$pid ]
-    then
-        wait $pid
-        retval=$?
-    else
-        retval=-1
-    fi
-    if [ ! -d /proc/$pidnotify ]
-    then
-        wait $pidnotify
-        retnotify=$?
-    else
-        retnotify=-1
-    fi
-    if [ $retnotify -eq 0 ]
-    then
-        # readiness notification received, all OK
-        echo $pid > $pidfile
-        return 0
-    else
-        # readiness not received
-        if [ $retval -eq -1 ]
-        then
-            # process exists in unknown state
-            return 1
-        else
-            # startup failed
-            return $retval
-        fi
-    fi
-}
-
-daemon_notify "$@"
-exit $?
diff --git a/openstack-keystone.init b/openstack-keystone.init
deleted file mode 100755
index 8329965..0000000
--- a/openstack-keystone.init
+++ /dev/null
@@ -1,98 +0,0 @@
-#!/bin/sh
-#
-# keystone  OpenStack Identity Service
-#
-# chkconfig:   - 98 02
-# description: keystone works provide apis to  \
-#		* Authenticate users and provide a token \
-#		* Validate tokens
-### END INIT INFO
-
-. /etc/rc.d/init.d/functions
-
-prog=keystone
-exec="/usr/bin/$prog-all"
-config="/etc/$prog/$prog.conf"
-distconfig="/usr/share/$prog/$prog-dist.conf"
-pidfile="/var/run/$prog/$prog.pid"
-startuplog="/var/log/$prog/$prog-startup.log"
-timeout=60
-wrapper="/usr/share/$prog/daemon_notify.sh"
-
-[ -e /etc/sysconfig/$prog ] && . /etc/sysconfig/$prog
-
-lockfile=/var/lock/subsys/$prog
-
-start() {
-    [ -x $exec ] || exit 5
-    [ -f $config ] || exit 6
-    echo -n $"Starting $prog: "
-    daemon --user keystone --pidfile $pidfile "$wrapper $exec $pidfile $startuplog $timeout"
-    retval=$?
-    echo
-    [ $retval -eq 0 ] && touch $lockfile
-    return $retval
-}
-
-stop() {
-    echo -n $"Stopping $prog: "
-    killproc -p $pidfile $prog
-    retval=$?
-    echo
-    [ $retval -eq 0 ] && rm -f $lockfile
-    return $retval
-}
-
-restart() {
-    stop
-    start
-}
-
-reload() {
-    restart
-}
-
-force_reload() {
-    restart
-}
-
-rh_status() {
-    status -p $pidfile $prog
-}
-
-rh_status_q() {
-    rh_status >/dev/null 2>&1
-}
-
-
-case "$1" in
-    start)
-        rh_status_q && exit 0
-        $1
-        ;;
-    stop)
-        rh_status_q || exit 0
-        $1
-        ;;
-    restart)
-        $1
-        ;;
-    reload)
-        rh_status_q || exit 7
-        $1
-        ;;
-    force-reload)
-        force_reload
-        ;;
-    status)
-        rh_status
-        ;;
-    condrestart|try-restart)
-        rh_status_q || exit 0
-        restart
-        ;;
-    *)
-        echo $"Usage: $0 {start|stop|status|restart|condrestart|try-restart|reload|force-reload}"
-        exit 2
-esac
-exit $?
diff --git a/openstack-keystone.spec b/openstack-keystone.spec
index 9ff676a..69577fe 100644
--- a/openstack-keystone.spec
+++ b/openstack-keystone.spec
@@ -1,22 +1,19 @@
 %global with_doc %{!?_without_doc:1}%{?_without_doc:0}
+%global         milestone .0rc2
+%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
 
 Name:           openstack-keystone
 Version:        2015.1
-%global         milestone .0b3
-%global         upstream_version %{version}%{?milestone}
-Release:        0.1%{?milestone}%{?dist}
+Release:        0.2%{?milestone}%{?dist}
 Summary:        OpenStack Identity Service
 License:        ASL 2.0
 URL:            http://keystone.openstack.org/
-Source0:        http://launchpad.net/keystone/kilo/kilo-3/+download/keystone-%{upstream_version}.tar.gz
+Source0:        http://launchpad.net/keystone/kilo/kilo-rc2/+download/keystone-%{upstream_version}.tar.gz
 Source1:        openstack-keystone.logrotate
 Source2:        openstack-keystone.service
 Source3:        openstack-keystone.sysctl
 Source5:        openstack-keystone-sample-data
 Source20:       keystone-dist.conf
-Source21:       daemon_notify.sh
-Source22:       openstack-keystone.init
-Source23:       openstack-keystone.upstart
 
 BuildArch:      noarch
 BuildRequires:  python2-devel
@@ -25,20 +22,10 @@ BuildRequires:  python-pbr
 Requires:       python-keystone = %{version}-%{release}
 Requires:       python-keystoneclient >= 1:1.1.0
 
-%if 0%{?rhel} == 6
-Requires(post):   chkconfig
-Requires(postun): initscripts
-Requires(preun):  chkconfig
-Requires(preun):  initscripts
-# for daemon_notify
-Requires: /usr/bin/uuidgen
-Requires: /bin/sleep
-%else
 Requires(post): systemd
 Requires(preun): systemd
 Requires(postun): systemd
 BuildRequires: systemd
-%endif
 Requires(pre):    shadow-utils
 
 %description
@@ -152,14 +139,7 @@ install -p -D -m 640 etc/logging.conf.sample %{buildroot}%{_sysconfdir}/keystone
 install -p -D -m 640 etc/default_catalog.templates %{buildroot}%{_sysconfdir}/keystone/default_catalog.templates
 install -p -D -m 640 etc/policy.json %{buildroot}%{_sysconfdir}/keystone/policy.json
 install -p -D -m 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/logrotate.d/openstack-keystone
-%if 0%{?rhel} == 6
-# Install service readiness wrapper
-install -p -D -m 755 %{SOURCE21} %{buildroot}%{_datadir}/keystone/daemon_notify.sh
-install -p -D -m 755 %{SOURCE22} %{buildroot}%{_initrddir}/openstack-keystone
-install -p -D -m 644 %{SOURCE23} %{buildroot}%{_datadir}/keystone/%{name}.upstart
-%else
 install -p -D -m 644 %{SOURCE2} %{buildroot}%{_unitdir}/openstack-keystone.service
-%endif
 install -d -m 755 %{buildroot}%{_prefix}/lib/sysctl.d
 install -p -D -m 644 %{SOURCE3} %{buildroot}%{_prefix}/lib/sysctl.d/openstack-keystone.conf
 # Install sample data script.
@@ -171,9 +151,6 @@ install -p -D -m 644 httpd/wsgi-keystone.conf  %{buildroot}%{_datadir}/keystone/
 
 install -d -m 755 %{buildroot}%{_sharedstatedir}/keystone
 install -d -m 755 %{buildroot}%{_localstatedir}/log/keystone
-%if 0%{?rhel} == 6
-install -d -m 755 %{buildroot}%{_localstatedir}/run/keystone
-%endif
 
 # docs generation requires everything to be installed first
 export PYTHONPATH="$( pwd ):$PYTHONPATH"
@@ -195,35 +172,13 @@ useradd --uid 163 -r -g keystone -d %{_sharedstatedir}/keystone -s /sbin/nologin
 exit 0
 
 %post
-%if 0%{?rhel} == 6
-if [ $1 -eq 1 ] ; then
-    # Initial installation
-    /sbin/chkconfig --add openstack-keystone
-fi
-%else
 %systemd_post openstack-keystone.service
-%endif
 
 %preun
-%if 0%{?rhel} == 6
-if [ $1 -eq 0 ] ; then
-    # Package removal, not upgrade
-    /sbin/service openstack-keystone stop >/dev/null 2>&1
-    /sbin/chkconfig --del openstack-keystone
-fi
-%else
 %systemd_preun openstack-keystone.service
-%endif
 
 %postun
-%if 0%{?rhel} == 6
-if [ $1 -ge 1 ] ; then
-    # Package upgrade, not uninstall
-    /sbin/service openstack-keystone condrestart >/dev/null 2>&1 || :
-fi
-%else
 %systemd_postun_with_restart openstack-keystone.service
-%endif
 
 %files
 %license LICENSE
@@ -239,13 +194,7 @@ fi
 %attr(0755, root, root) %{_datadir}/keystone/sample_data.sh
 %attr(0644, root, keystone) %{_datadir}/keystone/keystone.wsgi
 %attr(0644, root, keystone) %{_datadir}/keystone/wsgi-keystone.conf
-%if 0%{?rhel} == 6
-%attr(0755, root, root) %{_datadir}/keystone/daemon_notify.sh
-%{_datadir}/keystone/%{name}.upstart
-%{_initrddir}/openstack-keystone
-%else
 %{_unitdir}/openstack-keystone.service
-%endif
 %dir %attr(0750, root, keystone) %{_sysconfdir}/keystone
 %config(noreplace) %attr(0640, root, keystone) %{_sysconfdir}/keystone/keystone.conf
 %config(noreplace) %attr(0640, root, keystone) %{_sysconfdir}/keystone/logging.conf
@@ -254,9 +203,6 @@ fi
 %config(noreplace) %{_sysconfdir}/logrotate.d/openstack-keystone
 %dir %attr(-, keystone, keystone) %{_sharedstatedir}/keystone
 %dir %attr(0750, keystone, keystone) %{_localstatedir}/log/keystone
-%if 0%{?rhel} == 6
-%dir %attr(-, keystone, keystone) %{_localstatedir}/run/keystone
-%endif
 %{_prefix}/lib/sysctl.d/openstack-keystone.conf
 
 
diff --git a/openstack-keystone.upstart b/openstack-keystone.upstart
deleted file mode 100644
index 84e19ae..0000000
--- a/openstack-keystone.upstart
+++ /dev/null
@@ -1,12 +0,0 @@
-# Licensed under the Apache License, Version 2.0
-# http://bazaar.launchpad.net/~ubuntu-branches/ubuntu/quantal/keystone/quantal/view/head:/debian/copyright
-description "OpenStack Identity Service"
-author "Soren Hansen <soren at linux2go.dk>"
-# modified for RHEL6 by apevec at gmail.com
-
-start on stopped rc RUNLEVEL=[2345]
-stop on runlevel [S016]
-
-respawn
-
-exec su -s /bin/sh -c "exec keystone-all" keystone
diff --git a/sources b/sources
index 39b0fd8..25663e0 100644
--- a/sources
+++ b/sources
@@ -1 +1 @@
-86ebe1819ba59d3e83bccd8d5658cd8f  keystone-2015.1.0b3.tar.gz
+c11289a821bf92533568ea1a57ad9fce  keystone-2015.1.0rc2.tar.gz
-- 
cgit v0.10.2


	http://pkgs.fedoraproject.org/cgit/openstack-keystone.git/commit/?h=master&id=f8b47279930c4b45dffd05eb95c4fac0ab004243


More information about the scm-commits mailing list